Bug 1118240 - puic4 is broken: fix provided
Summary: puic4 is broken: fix provided
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Qt
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-10 09:33 UTC by Olivier LAHAYE
Modified: 2016-07-19 11:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 11:55:04 UTC


Attachments (Terms of Use)
Fixes puic4 code generator. (30.70 KB, patch)
2014-07-10 09:33 UTC, Olivier LAHAYE
no flags Details | Diff
Fixes partially 'puic4 -x' generated code (6.17 KB, patch)
2014-07-10 09:35 UTC, Olivier LAHAYE
no flags Details | Diff

Description Olivier LAHAYE 2014-07-10 09:33:39 UTC
Created attachment 917029 [details]
Fixes puic4 code generator.

Description of problem:
puic4 the UI perl compiler for Qt is completely broken.
Here are 2 patches that fixes most problems.
The 1st one attached in this comment is mainly (but not exclusively) for the Qt3Support4 fixes. (upstream issue #46)
The secondone in next comment will partially fix issue #44.

Version-Release number of selected component (if applicable):
all perl-Qt-0.96.0* including latest SVN. for rhel-*-* or fedora-*-*

How reproducible:
puic4 -o Ui_file.pm file.ui
where file.ui was generated for Qt3.
For exemple: http://svn.oscar.openclustergroup.org/oscar/pkgsrc/netbootmgr/trunk/netbootmgr.ui

Steps to Reproduce:
1. wget http://svn.oscar.openclustergroup.org/oscar/pkgsrc/netbootmgr/trunk/netbootmgr.ui
2. puic4 -o Ui_NetBootMgr.pm netbootmgr.ui
3. perl -d NetBootMgr.pl or just look at the syntax for "__item" and also missing ending semicolons.

Actual results:
unusable perl syntax.

Expected results:
valid perl code.

Additional info:
Upstream AUTHOR is aware of the patch but won't be able to push it before a few weeks. Once dones, he has planed to make a new release.
- http://search.cpan.org/dist/Qt/ is a dead repo
- git clone https://code.google.com/p/perlqt4/ is the official standalone repo
- git clone git://anongit.kde.org/perlqt/ is the active repo from kdebinding project.

Note that standalone repo has been resynced back from kdebindings repo to include perl-5.18 fixes
Also note thet changes in CMAkelists.txt have an impact:
- can't build on rhel6
- need a smokeqt that has smokeqwt lib.
IMHO, this shouldn't be required, thus I think that add ing my 2 patches is sufficient for the moment. The Author will give a look at the cmake issues later.
https://code.google.com/p/perlqt4/issues/list

Comment 1 Olivier LAHAYE 2014-07-10 09:35:55 UTC
Created attachment 917030 [details]
Fixes partially 'puic4 -x' generated code

This patch fixes the header generation and the additional code generated by the -x option of puic4.

Comment 2 Fedora Admin XMLRPC Client 2014-11-07 15:40:37 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2014-11-07 16:52:03 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2015-05-29 12:20:24 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Olivier LAHAYE 2015-05-29 12:24:53 UTC
Still valid for fedora-21 at least.

Comment 6 Petr Šabata 2015-06-03 14:53:59 UTC
Ack.

The new repositories appear to be fairly dead too.  I'll take a look at your patches and, provided they look reasonable :), merge them so our puic4 is somewhat less unusable for the time being.

Comment 7 Fedora Admin XMLRPC Client 2016-03-12 15:59:30 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 8 Fedora Admin XMLRPC Client 2016-03-18 08:20:48 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 9 Petr Pisar 2016-03-22 16:11:47 UTC
I will apply the "Fixes partially 'puic4 -x' generated code" patch. I cannot apply "Fixes puic4 code generator" because it requires many changes from upstream after the 0.69.0 release and my attempt to back ported them caused failing some tests.

I will rebase perl-Qt to latest KDE release in Fedora 25 and hopefully in Fedora 24. But I will not push the rebase into older stable Fedoras.

Comment 10 Fedora Update System 2016-03-23 08:21:18 UTC
perl-Qt-0.96.0-19.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5d5b739142

Comment 11 Fedora Update System 2016-03-23 09:18:00 UTC
perl-Qt-0.96.0-17.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-18ca71f650

Comment 12 Fedora Update System 2016-03-23 09:18:13 UTC
perl-Qt-0.96.0-14.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-27bf0fbc49

Comment 13 Petr Pisar 2016-03-23 13:07:26 UTC
I'm finishing packaging 4.14.3 version and I have to inform you that despite both you patches were merged by upstream, the semicolons are still missing in generated Ui_NetBootMgr.pm.

Comment 14 Fedora Update System 2016-03-23 14:22:11 UTC
perl-Qt-4.14.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b44c8de86c

Comment 15 Fedora Update System 2016-03-23 19:55:28 UTC
perl-Qt-4.14.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b44c8de86c

Comment 16 Fedora Update System 2016-03-24 01:00:54 UTC
perl-Qt-0.96.0-14.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-27bf0fbc49

Comment 17 Fedora Update System 2016-03-24 01:53:00 UTC
perl-Qt-0.96.0-17.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-18ca71f650

Comment 18 Fedora Update System 2016-03-24 09:26:03 UTC
perl-Qt-4.14.3-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8052a09647

Comment 19 Fedora Update System 2016-03-24 09:31:14 UTC
perl-Qt-0.96.0-18.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8bce2346c2

Comment 20 Fedora Update System 2016-03-24 09:31:32 UTC
perl-Qt-0.96.0-15.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ccdbda73a

Comment 21 Fedora Update System 2016-03-25 20:28:21 UTC
perl-Qt-4.14.3-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8052a09647

Comment 22 Fedora Update System 2016-03-25 23:48:25 UTC
perl-Qt-0.96.0-15.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6ccdbda73a

Comment 23 Fedora Update System 2016-03-26 15:20:22 UTC
perl-Qt-0.96.0-18.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8bce2346c2

Comment 24 Fedora Update System 2016-03-29 19:33:30 UTC
perl-Qt-4.14.3-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2016-03-30 07:33:31 UTC
perl-Qt-0.96.0-19.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fc47ca605f

Comment 26 Fedora Update System 2016-03-30 07:33:53 UTC
perl-Qt-0.96.0-16.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-481f17ba6e

Comment 27 Fedora Update System 2016-03-30 22:22:10 UTC
perl-Qt-0.96.0-16.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-481f17ba6e

Comment 28 Fedora Update System 2016-03-30 22:55:11 UTC
perl-Qt-0.96.0-19.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fc47ca605f

Comment 29 Fedora Update System 2016-04-08 15:55:07 UTC
perl-Qt-0.96.0-19.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2016-04-08 20:22:43 UTC
perl-Qt-0.96.0-16.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora End Of Life 2016-07-19 11:55:04 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.